Daily Stats Campaign Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/dailystats/{partner_short_code}/{date}/v1

Get statistics for campaigns running on a specific date. For partners familiar with existing Boost customers.

Path parameters

  • partner_short_code string Required
  • date string(date) Required

    Date in yyyy-mm-dd format

Query parameters

  • token string Required

    JWT token with customer_id, agent_id, and iat (V1 format)

Responses

  • 200 application/json

    Daily stats retrieved successfully

    Hide response attributes Show response attributes object
    • date string(date)
    • stats array[object]
      Hide stats attributes Show stats attributes object
      • created_time_utc string(date-time)
      • start_time_utc string(date-time)
      • end_time_utc string(date-time)
      • campaign_id string
      • type string

        Values are AgentPromo or Listing.

      • address string
      • city string
      • state string
      • zip string
      • agent_name string
      • status string

        Values are Running, Ended, or Paused.

      • total_impressions integer
      • total_clicks integer
      • total_engagements integer
      • web_impressions integer
      • web_clicks integer
      • social_impressions integer
      • social_clicks integer
    • rows integer
GET /dashboard/integration/dailystats/{partner_short_code}/{date}/v1
curl \
 --request GET 'https://boost.homespotter.com/dashboard/integration/dailystats/{partner_short_code}/{date}/v1?token=string&token=api_token_value'
Response examples (200)
{
  "date": "2026-05-04",
  "stats": [
    {
      "created_time_utc": "2026-05-04T09:42:00Z",
      "start_time_utc": "2026-05-04T09:42:00Z",
      "end_time_utc": "2026-05-04T09:42:00Z",
      "campaign_id": "string",
      "type": "AgentPromo",
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "agent_name": "string",
      "status": "Running",
      "total_impressions": 42,
      "total_clicks": 42,
      "total_engagements": 42,
      "web_impressions": 42,
      "web_clicks": 42,
      "social_impressions": 42,
      "social_clicks": 42
    }
  ],
  "rows": 42
}